package com.mortals.xhx.module.perform.model;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.vo.PerformAttendAppealVo;
import com.mortals.xhx.module.perform.model.PerformAttendAppealFilesEntity;
import lombok.Data;
/**
* 绩效记录申诉信息实体对象
*
* @author zxfei
* @date 2023-07-05
*/
@Data
public class PerformAttendAppealEntity extends PerformAttendAppealVo {
    private static final long serialVersionUID = 1L;

    /**
    * 核查记录Id
    */
    private Long checkRecordId;
    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 工号
    */
    private String workNum;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 所属考勤组ID
    */
    private Long attendanceGroupId;
    /**
    * 所属考勤组名称
    */
    private String attendanceGroupName;
    /**
    * 扣分时间
    */
    private Date attendanceDate;
    /**
    * 绩效规则id
    */
    private Long ruleId;
    /**
    * 规则名称
    */
    private String ruleName;
    /**
    * 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
    */
    private Integer subMethod;
    /**
    * 增减类型(1.增加,2.扣除)
    */
    private Integer subAddType;
    /**
    * 扣分或增加分值
    */
    private BigDecimal score;
    /**
    * 上下班时间
    */
    private String goOffTimeStr;
    /**
    * 异常时间
    */
    private Date errorTime;
    /**
    * 实际打卡时间
    */
    private Date actualAttendTime;
    /**
    * 异常处理结果
    */
    private String errorResult;
    /**
    * 核查人员
    */
    @Excel(name = "核查人员")
    private String checkPerson;
    /**
    * 核查时间
    */
    private Date checkTime;
    /**
    * 核查说明
    */
    @Excel(name = "核查说明")
    private String checkDesc;
    /**
    * 核查结果
    */
    @Excel(name = "核查结果")
    private String checkResult;
    /**
    * 处理状态(1.未处理,2.已处理)
    */
    private Integer processStatus;
    /**
    * 申诉说明
    */
    @Excel(name = "申诉说明")
    private String appealDesc;
    /**
    * 申诉时间
    */
    private Date appealTime;
    /**
    * 申诉结果(1.通过,2.不通过)
    */
    private Integer appealResult;
    /**
    * 说明
    */
    @Excel(name = "说明")
    private String remark;
    /**
    * 违规类型
    */
    private String violationType;
    /**
    * 绩效记录申诉附件信息信息
    */
    private List<PerformAttendAppealFilesEntity> performAttendAppealFilesList=new ArrayList<>();;
    public List<PerformAttendAppealFilesEntity> getPerformAttendAppealFilesList(){
      return performAttendAppealFilesList;
    }

    public void setPerformAttendAppealFilesList(List<PerformAttendAppealFilesEntity> performAttendAppealFilesList){
        this.performAttendAppealFilesList = performAttendAppealFilesList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformAttendAppealEntity) {
            PerformAttendAppealEntity tmp = (PerformAttendAppealEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.checkRecordId = -1L;

            this.staffId = -1L;

            this.staffName = "";

            this.workNum = "";

            this.deptId = -1L;

            this.deptName = "";

            this.attendanceGroupId = -1L;

            this.attendanceGroupName = "";

            this.attendanceDate = null;

            this.ruleId = -1L;

            this.ruleName = "";

            this.subMethod = 1;

            this.subAddType = 1;

            this.score = BigDecimal.valueOf(0.00);

            this.goOffTimeStr = "";

            this.errorTime = null;

            this.actualAttendTime = null;

            this.errorResult = "";

            this.checkPerson = "";

            this.checkTime = null;

            this.checkDesc = "";

            this.checkResult = "";

            this.processStatus = 1;

            this.appealDesc = "";

            this.appealTime = null;

            this.appealResult = 2;

            this.remark = "";

            this.violationType = "";
    }
}